## materia-gtk-theme 20200916

=== meson_options.txt ===
option(
  'theme_name',
  type: 'string',
  value: 'Materia',
  description: 'Set theme name',
)

option(
  'colors',
  type: 'array',
  choices: ['default', 'light', 'dark'],
  description: 'Choose color variant(s)',
)

option(
  'sizes',
  type: 'array',
  choices: ['default', 'compact'],
  description: 'Choose size variant(s)',
)

option(
  'gnome_shell_version',
  type: 'string',
  description: 'Manually set gnome-shell version',
)

option(
  'flatpak',
  type: 'boolean',
  value: false,
  description: 'Build theme for flatpak package',
)

## materia-gtk-theme 20180110

=== debian/changelog ===
materia-gtk-theme (20180110-1) unstable; urgency=medium

  * Initial release (Closes: #888280)

 -- Sagar Ippalpalli <i.vikram15@gmail.com>  Sun, 28 Jan 2018 16:21:04 +0530

=== debian/control ===
Source: materia-gtk-theme
Section: x11
Priority: optional
Maintainer: Sagar Ippalpalli <i.vikram15@gmail.com>
Build-Depends: debhelper (>= 10),libglib2.0-dev,libxml2-utils
Standards-Version: 4.1.3
Homepage: https://github.com/nana-4/materia-theme

Package: materia-gtk-theme
Architecture: all
Depends: gnome-themes-standard,
	gtk2-engines-murrine,
	libgtk-3-common,
	libgtk2.0-common,
	${misc:Depends}
Description: Material Design theme for GNOME/GTK+ based desktop environments
 Materia (formerly Flat-Plat) is a Material Design theme for GNOME/GTK+ based
 desktop environments.It supports GTK+ 3, GTK+ 2, GNOME Shell, Budgie, MATE,
 Unity, LightDM, GDM, Chrome theme, etc.
 .
 Also Materia has compatibility with oomox theme designer.

=== debian/rules ===
#!/usr/bin/make -f

build: build-indep

build-arch:

build-indep:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	destdir="$(CURDIR)/debian/materia-gtk-theme/";	\
	mkdir -p "$$destdir"; \
	export destdir;	\
	./install.sh


binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install
	dh_link
	dh_compress
	dh_fixperms `find debian/materia-gtk-theme -type f -exec chmod -x {} \;`
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

.PHONY: clean binary-indep binary-arch binary install

## materia-gtk-theme 20180321

=== debian/changelog ===
materia-gtk-theme (20180321-1) unstable; urgency=medium

  * New upstream release
  * Depend on gnome-themes-extra (Closes: #892037)
  * Add Vcs fields and update Build-depends
  * Bump debhelper compat to 11

 -- Sagar Ippalpalli <i.vikram15@gmail.com>  Thu, 29 Mar 2018 09:16:53 +0530

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Sagar Ippalpalli <i.vikram15@gmail.com>
-Build-Depends: debhelper (>= 10),libglib2.0-dev,libxml2-utils
+Build-Depends: debhelper (>= 11)
 Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/isaagar-guest/materia-gtk-theme.git
+Vcs-Browser: https://salsa.debian.org/isaagar-guest/materia-gtk-theme
 Homepage: https://github.com/nana-4/materia-theme
 
 Package: materia-gtk-theme
 Architecture: all
-Depends: gnome-themes-standard,
+Depends: gnome-themes-extra,
 	gtk2-engines-murrine,
 	libgtk-3-common,
 	libgtk2.0-common,

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,9 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	destdir="$(CURDIR)/debian/materia-gtk-theme/";	\
+	destdir="$(CURDIR)/debian/materia-gtk-theme/usr/share/themes";	\
 	mkdir -p "$$destdir"; \
-	export destdir;	\
-	./install.sh
-
+	./install.sh --dest "$$destdir"
 
 binary-indep: install
 	dh_testdir

## materia-gtk-theme 20180519

=== debian/changelog ===
materia-gtk-theme (20180519-1) unstable; urgency=medium

  * New upstream release (Closes: #899973)
  * Add support for cinnamon, nemo

 -- Sagar Ippalpalli <i.vikram15@gmail.com>  Sun, 27 May 2018 11:41:17 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sagar Ippalpalli <i.vikram15@gmail.com>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/isaagar-guest/materia-gtk-theme.git
 Vcs-Browser: https://salsa.debian.org/isaagar-guest/materia-gtk-theme
 Homepage: https://github.com/nana-4/materia-theme

## materia-gtk-theme 20180928

=== debian/changelog ===
materia-gtk-theme (20180928-1) unstable; urgency=medium

  * New upstream release (Closes: #910040)
  * Bump Standards-Version to 4.2.1

 -- Sagar Ippalpalli <i.vikram15@gmail.com>  Sat, 06 Oct 2018 17:53:06 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sagar Ippalpalli <i.vikram15@gmail.com>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/isaagar-guest/materia-gtk-theme.git
 Vcs-Browser: https://salsa.debian.org/isaagar-guest/materia-gtk-theme
 Homepage: https://github.com/nana-4/materia-theme

## materia-gtk-theme 20181125

=== debian/changelog ===
materia-gtk-theme (20181125-1) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0
  * New upstream version 20181125

 -- Sagar Ippalpalli <i.vikram15@gmail.com>  Tue, 25 Dec 2018 20:56:02 +0530

## materia-gtk-theme 20190201

=== debian/changelog ===
materia-gtk-theme (20190201-1) unstable; urgency=medium

  * New upstream version 20190201

 -- Sagar Ippalpalli <i.vikram15@gmail.com>  Sun, 24 Feb 2019 14:24:10 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sagar Ippalpalli <i.vikram15@gmail.com>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/isaagar-guest/materia-gtk-theme.git
 Vcs-Browser: https://salsa.debian.org/isaagar-guest/materia-gtk-theme
 Homepage: https://github.com/nana-4/materia-theme

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/materia-theme-$1\.tar\.gz/" \
   https://github.com/nana-4/materia-theme/tags .*/v?(\d\S*)\.tar\.gz

## materia-gtk-theme 20190315

=== debian/changelog ===
materia-gtk-theme (20190315-1) unstable; urgency=medium

  * New upstream version 20190315

 -- Sagar Ippalpalli <i.vikram15@gmail.com>  Sun, 07 Apr 2019 20:33:24 +0530

## materia-gtk-theme 20191017

=== debian/changelog ===
materia-gtk-theme (20191017-0ubuntu1) focal; urgency=medium

  * New upstream version 20191017

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 18 Jan 2020 20:15:33 -0800

materia-gtk-theme (20190201-1ubuntu2) disco; urgency=medium

  [ Erich Eickmeyer ]
  * Fix Ubiquity theming issue (LP: #1822134)
    - Previous change did not fix issue

 -- Ross Gammon <rossgammon@debian.org>  Tue, 09 Apr 2019 18:29:45 +0200

materia-gtk-theme (20190201-1ubuntu1) disco; urgency=medium

  * Fix Ubiquity theming issue (LP: #1822134)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 28 Mar 2019 16:40:55 -0700

## materia-gtk-theme 20200320

=== debian/changelog ===
materia-gtk-theme (20200320-0ubuntu1) focal; urgency=medium

  * New upstream version 20200320 (LP: #1868280)
    - Make dark variant even darker
    - Don't change button text color on focus, hover, active
    - gtk: Rewrite ripple implementation
    - gtk: Change checked raised button style
    - gtk: Lighten up switch slider color on dark variant
    - gtk: Use primary color for spinner
    - gtk: Use primary color for caret-color (experimentally)
    - gtk: Add various improvements of Budgie styling
    - gnome-shell: Add support for version 3.36
    - gnome-shell: Drop support for versions 3.18 - 3.24
    - gnome-shell: Drop support for legacy Ubuntu-specific sessions
    - gnome-shell: Land massive Sass rewrite
    - Other various improvements, fixes, refactors, and cleanups

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 20 Mar 2020 08:48:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: materia-gtk-theme
 Section: x11
 Priority: optional
-Maintainer: Sagar Ippalpalli <i.vikram15@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sagar Ippalpalli <i.vikram15@gmail.com>
 Build-Depends: debhelper (>= 11)
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/isaagar-guest/materia-gtk-theme.git

## materia-gtk-theme 20200916

=== debian/changelog ===
materia-gtk-theme (20200916-0ubuntu1) groovy; urgency=medium

  * New upstream release
    - Add Meson build system
    - Drop pre-generated CSS files
    - Add sassc dependency
    - Drop bc dependency
    - Improve source file structure
    - gtk: Add initial support for libhandy
    - gnome-shell: Add support for version 3.38
    - gnome-shell: Update calendar style to match Material Design guideline
    - metacity/unity/xfwm: Update title bars to match the last GTK changes
    - chrome theme: Improve and simplify
    - Other various improvements and fixes

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 22 Sep 2020 13:45:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: materia-gtk-theme
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
 XSBC-Original-Maintainer: Sagar Ippalpalli <i.vikram15@gmail.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13),
+               meson,
+			   ninja-build,
+			   sassc
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/isaagar-guest/materia-gtk-theme.git
 Vcs-Browser: https://salsa.debian.org/isaagar-guest/materia-gtk-theme
 Homepage: https://github.com/nana-4/materia-theme

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+%:
+	dh $@ --buildsystem=meson
 
 build: build-indep

## materia-gtk-theme 20210322

=== meson_options.txt ===
--- 
+++ 
@@ -20,6 +20,12 @@
 )
 
 option(
+  'gtk4_version',
+  type: 'string',
+  description: 'Manually set gtk4 version',
+)
+
+option(
   'gnome_shell_version',
   type: 'string',
   description: 'Manually set gnome-shell version',

=== debian/changelog ===
materia-gtk-theme (20210322-1) unstable; urgency=medium

  [ Leandro Cunha ]
  * New upstream release.
  * Add debian/salsa-ci.yml.
  * debian/control:
    - Add libgtk-4-common to support GTK 4 and update description.
    - Bump Standards Version to 4.6.0.
    - Downgrade all dependencies to recommendation to avoid hard
      dependency.
  * debian/copyright:
    - Fix unused file paragraph reported by Lintian.
    - Fix unused license paragraph reported by Lintian.
    - Add field Upstream-Contact.
  * debian/rules:
    - Do not ship extra COPYING files.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Sep 2021 16:25:21 -0400

materia-gtk-theme (20200916-3) unstable; urgency=medium

  * debian/control:
    - Moved maintainer to Debian Desktop Themes Team. (Closes: #987697)
    - Added uploaders Boyuan Yang, Leandro Cunha and Sagar Ippalpalli.
    - Moved Vcs fields to Debian Desktop Themes Team group in Salsa.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 30 Aug 2021 11:59:26 -0300

materia-gtk-theme (20200916-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Added debian/materia-gtk-theme.maintscript.
  * Fixed unhandled symlink to directory conversion. (Closes: #985292)

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sat, 10 Apr 2021 20:25:25 -0300

materia-gtk-theme (20200916-0.1) unstable; urgency=medium

  [ Leandro Cunha ]
  * Non-maintainer upload.
  * New upstream release.
  * debian/control:
    - Added in Build-Depends meson and sassc.
  * debian/rules:
    - Fixed FTBFS and add support to build system with meson.
  * Fixed support for Gnome 3.38. (Closes: #978965)

  [ Boyuan Yang ]
  * Bump debhelper compat to v13.
  + BUmp Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Feb 2021 15:29:54 -0500

materia-gtk-theme (20200320-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #945847)

 -- Roberto De Oliveira <rcdeoliveira@gmail.com>  Sat, 21 Mar 2020 14:23:27 -0400

=== debian/control ===
Source: materia-gtk-theme
Section: x11
Priority: optional
Maintainer: Debian Desktop Themes Team <team+desktop-themes-team@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Leandro Cunha <leandrocunha016@gmail.com>,
 Sagar Ippalpalli <i.vikram15@gmail.com>,
Build-Depends: debhelper-compat (= 13), meson, sassc
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/desktop-themes-team/materia-gtk-theme.git
Vcs-Browser: https://salsa.debian.org/desktop-themes-team/materia-gtk-theme
Homepage: https://github.com/nana-4/materia-theme

Package: materia-gtk-theme
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 gnome-themes-extra,
 gtk2-engines-murrine,
 libgtk-3-common,
 libgtk2.0-common,
 libgtk-4-common,
Description: Material Design theme for GNOME/GTK+ based desktop environments
 Materia (formerly Flat-Plat) is a Material Design theme for GNOME/GTK+ based
 desktop environments.It supports GTK+ 3, GTK+ 2, GTK 4, GNOME Shell, Budgie,
 MATE, Unity, LightDM, GDM, Chrome theme, etc.
 .
 Also Materia has compatibility with oomox theme designer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

execute_after_dh_auto_install:
	find $(CURDIR)/debian/ -type f -name COPYING -delete
